Accounts & connections · Accounts

List posts published on the platform

Returns posts published on the platform.

GEThttps://api.pozy.ai/v1/accounts/{accountId}/posts
Facebook, Instagram, X, Bluesky, Threads and YouTube and 4 moregetAccountPosts

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the publishing resource group disabled get 403 resource_group_disabled. Authentication

Path parameters

NameTypeNotes
accountIdrequiredstring

Example

curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/posts" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • statusstring

    One of success.

  • postsarray of object
    18 child fields
    • idstring
    • platformstring
    • messagestring
    • createdTimestring (date-time)
    • permalinkstring
    • picturestring
    • mediaTypestring
    • commentCountinteger
    • likeCountinteger
    • reactionCountinteger
    • shareCountinteger
    • cidstring
    • subredditstring
    • titlestring
    • descriptionstring
    • linkstring
    • boardIdstring
    • boardOwnerUsernamestring
  • lastUpdatedstring (date-time)
200 response
{
  "status": "success",
  "posts": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "platform": "instagram",
      "message": "Hello from Pozy",
      "createdTime": "2026-10-02T09:00:00.000Z",
      "permalink": "string",
      "picture": "string",
      "mediaType": "string",
      "commentCount": 42,
      "likeCount": 42,
      "reactionCount": 42,
      "shareCount": 42,
      "cid": "60cc682239f4a5a15c99a784",
      "subreddit": "string",
      "title": "Launch day",
      "description": "A short description",
      "link": "string",
      "boardId": "61f823c07782cb6105482d17",
      "boardOwnerUsername": "acme"
    }
  ],
  "lastUpdated": "2026-10-02T09:00:00.000Z"
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
404not_foundNothing with that id exists in your workspace.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Accounts